Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class ModelQueryImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.impl.ModelQueryImpl

All Implemented Interfaces:
  ModelQuery

Direct Known Subclasses:
  JavaModelQueryImpl, JXPathModelQueryImpl, OCLModelQueryImpl

    public abstract class ModelQueryImpl

extends EObjectImpl
implements ModelQuery

An implementation of the model object 'Model Query'.

The following features are implemented:

- `Name`
- `Description`
- `Return Type`
- `Scope`
- `Model Query Set`
- `Parameters`
- `Is External Context Dependent`
- `Upper Bound`
- `Lower Bound`

Method Summary
`EClassifier` | `basicGetReturnType()`
`NotificationChain` | `basicSetModelQuerySet(ModelQuerySet newModelQuerySet, NotificationChain msgs)`
`NotificationChain` | `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getDescription()`
`int` | `getLowerBound()`
`ModelQuerySet` | `getModelQuerySet()`
`java.lang.String` | `getName()`
`` | `getParameters()`
`EClassifier` | `getReturnType()`
`` | `getScope()`
`int` | `getUpperBound()`
`boolean` | `isIsExternalContextDependent()`
`void` | `setDescription(java.lang.String newDescription)`
`void` | `setIsExternalContextDependent(boolean newIsExternalContextDependent)`
`void` | `setLowerBound(int newLowerBound)`
`void` | `setModelQuerySet(ModelQuerySet newModelQuerySet)`
`void` | `setName(java.lang.String newName)`
`void` | `setReturnType(EClassifier newReturnType)`
`void` | `setUpperBound(int newUpperBound)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelQuery`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ModelQuery.setName(String)`, `QueryPackage.getModelQuery_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ModelQuery`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ModelQuery.getName()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelQuery`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `ModelQuery.setDescription(String)`, `QueryPackage.getModelQuery_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `ModelQuery`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `ModelQuery.getDescription()`

### getReturnType

    public EClassifier getReturnType()

  Specified by:
    `getReturnType` in interface `ModelQuery`
  Returns:
    the value of the 'Return Type' reference.
  See Also:
    `ModelQuery.setReturnType(EClassifier)`, `QueryPackage.getModelQuery_ReturnType()`

### basicGetReturnType

    public EClassifier basicGetReturnType()

### setReturnType

    public void setReturnType(EClassifier newReturnType)

  Specified by:
    `setReturnType` in interface `ModelQuery`
  Parameters:
    `newReturnType` - the new value of the 'Return Type' reference.
  See Also:
    `ModelQuery.getReturnType()`

### getScope

    public  getScope()

  Specified by:
    `getScope` in interface `ModelQuery`
  Returns:
    the value of the 'Scope' reference list.
  See Also:
    `QueryPackage.getModelQuery_Scope()`

### getModelQuerySet

    public ModelQuerySet getModelQuerySet()

  Specified by:
    `getModelQuerySet` in interface `ModelQuery`
  Returns:
    the value of the 'Model Query Set' container reference.
  See Also:
    `ModelQuery.setModelQuerySet(ModelQuerySet)`, `QueryPackage.getModelQuery_ModelQuerySet()`, `ModelQuerySet.getQueries()`

### basicSetModelQuerySet

    public NotificationChain basicSetModelQuerySet(ModelQuerySet newModelQuerySet,
                                                   NotificationChain msgs)

### setModelQuerySet

    public void setModelQuerySet(ModelQuerySet newModelQuerySet)

  Specified by:
    `setModelQuerySet` in interface `ModelQuery`
  Parameters:
    `newModelQuerySet` - the new value of the 'Model Query Set' container reference.
  See Also:
    `ModelQuery.getModelQuerySet()`

### getParameters

    public  getParameters()

  Specified by:
    `getParameters` in interface `ModelQuery`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `QueryPackage.getModelQuery_Parameters()`

### isIsExternalContextDependent

    public boolean isIsExternalContextDependent()

  Specified by:
    `isIsExternalContextDependent` in interface `ModelQuery`
  Returns:
    the value of the 'Is External Context Dependent' attribute.
  See Also:
    `ModelQuery.setIsExternalContextDependent(boolean)`, `QueryPackage.getModelQuery_IsExternalContextDependent()`

### setIsExternalContextDependent

    public void setIsExternalContextDependent(boolean newIsExternalContextDependent)

  Specified by:
    `setIsExternalContextDependent` in interface `ModelQuery`
  Parameters:
    `newIsExternalContextDependent` - the new value of the 'Is External Context Dependent' attribute.
  See Also:
    `ModelQuery.isIsExternalContextDependent()`

### getUpperBound

    public int getUpperBound()

  Specified by:
    `getUpperBound` in interface `ModelQuery`
  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `ModelQuery.setUpperBound(int)`, `QueryPackage.getModelQuery_UpperBound()`

### setUpperBound

    public void setUpperBound(int newUpperBound)

  Specified by:
    `setUpperBound` in interface `ModelQuery`
  Parameters:
    `newUpperBound` - the new value of the 'Upper Bound' attribute.
  See Also:
    `ModelQuery.getUpperBound()`

### getLowerBound

    public int getLowerBound()

  Specified by:
    `getLowerBound` in interface `ModelQuery`
  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `ModelQuery.setLowerBound(int)`, `QueryPackage.getModelQuery_LowerBound()`

### setLowerBound

    public void setLowerBound(int newLowerBound)

  Specified by:
    `setLowerBound` in interface `ModelQuery`
  Parameters:
    `newLowerBound` - the new value of the 'Lower Bound' attribute.
  See Also:
    `ModelQuery.getLowerBound()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD